
Name:           kget
Summary:        Versatile and user-friendly download manager
Group:          Graphical desktop/KDE5
Version: 		23.08.5
Release:        %mkrel 1
URL:            http://www.kde.org/applications/internet/kget/
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
#---------------------------------------------
BuildRequires:  lib64mms-devel
BuildRequires:  lib64boost-devel
BuildRequires:  lib64kf5kdelibs4support-devel
BuildRequires:  lib64kf5kcmutils-devel
BuildRequires:  lib64kf5notifyconfig-devel
BuildRequires:  lib64kf5ktorrent-devel
#---------------------------------------------

%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files
%{_bindir}
%{_libdir}
%{_datadir}
%exclude %{_datadir}/doc/HTML

%package -n kget-handbook
Summary: Kget Handbook
BuildArch: noarch
Group: Documentation
Requires:  kget

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%{_datadir}/doc/HTML
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#lets not build devel package ok
rm -f %buildroot/%{_libdir}/libkgetcore.so
rm -f %buildroot/%{_datadir}/applications/kde4/org.kde.kget.desktop
rm -f %buildroot/%{_datadir}/doc/HTML/pt_BR/kget/kget_transfer_hostory.png


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

